[arch-commits] Commit in opal/repos (3 files)

Jan de Groot jgc at archlinux.org
Tue May 19 14:45:58 EDT 2009


    Date: Tuesday, May 19, 2009 @ 14:45:58
  Author: jgc
Revision: 39666

Merged revisions 39665 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/opal/trunk

........
  r39665 | jgc | 2009-05-19 18:45:41 +0000 (Tue, 19 May 2009) | 1 line
  
  upgpkg: opal 3.6.2-1
........

Added:
  opal/repos/extra-x86_64/gcc-4.4.patch
    (from rev 39665, opal/trunk/gcc-4.4.patch)
Modified:
  opal/repos/extra-x86_64/	(properties)
  opal/repos/extra-x86_64/PKGBUILD

---------------+
 PKGBUILD      |   13 ++++++++-----
 gcc-4.4.patch |   10 ++++++++++
 2 files changed, 18 insertions(+), 5 deletions(-)


Property changes on: opal/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /opal/trunk:1-36100
   + /opal/trunk:1-39665

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-19 18:45:41 UTC (rev 39665)
+++ extra-x86_64/PKGBUILD	2009-05-19 18:45:58 UTC (rev 39666)
@@ -2,19 +2,22 @@
 # Maintainer: Jan de Groot <jan at archlinux.org>
 # Contributor: Tom K <tomk at runbox.com>
 pkgname=opal
-pkgver=3.6.1
-pkgrel=2
+pkgver=3.6.2
+pkgrel=1
 pkgdesc="Open Phone Abstraction Library"
 arch=(i686 x86_64)
 url="http://www.ekiga.org"
 license=('GPL')
-depends=('ptlib=2.6.1' 'libtheora' 'x264>=20090416' 'speex')
+depends=('ptlib=2.6.2' 'libtheora' 'x264>=20090416' 'speex')
 makedepends=('ffmpeg')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/3.6/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('c2b4f12822cef2182267ea0d020bddf6')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/3.6/${pkgname}-${pkgver}.tar.bz2
+	gcc-4.4.patch)
+md5sums=('88076eeadee1351704afb2aeb3532c17'
+	 '8ca6eb81099815d0323105dd2603766c')
 
 build() {
   cd "${srcdir}/opal-${pkgver}"
+  patch -Np0 -i "${srcdir}/gcc-4.4.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
   make DESTDIR="${pkgdir}" install || return 1

Copied: opal/repos/extra-x86_64/gcc-4.4.patch (from rev 39665, opal/trunk/gcc-4.4.patch)
===================================================================
--- extra-x86_64/gcc-4.4.patch	                        (rev 0)
+++ extra-x86_64/gcc-4.4.patch	2009-05-19 18:45:58 UTC (rev 39666)
@@ -0,0 +1,10 @@
+--- plugins/video/H.264/gpl/enc-ctx.cxx~	2009-05-19 09:52:39.000000000 +0000
++++ plugins/video/H.264/gpl/enc-ctx.cxx	2009-05-19 18:35:05.361761163 +0000
+@@ -35,6 +35,7 @@
+   #define STRCMPI  strcasecmp
+ #endif
+ #include <string.h>
++#include <cstdio>
+ 
+ #ifndef X264_LINK_STATIC
+ X264Library X264Lib;



More information about the arch-commits mailing list